Package: org.grails.plugins.web.servlet.mvc

## [Groovy] Class ValidResponseHandler

- org.grails.plugins.web.servlet.mvc.ValidResponseHandler

-     @groovy.transform.CompileStatic
      class ValidResponseHandler
      extends AbstractTokenResponseHandler

  Handles a valid token response. See TokenResponseHandler

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `model` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractTokenResponseHandler` | `invoked, valid`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `model`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValidResponseHandler (java.lang.Object model)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `invalidTokenInternal(groovy.lang.Closure callable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTokenResponseHandler` | `invalidToken, invalidTokenInternal, wasInvalidToken, wasInvoked`

- - ### Field Detail

    - #### private java.lang.Object model

  - ### Property Detail

    - #### java.lang.Object model

  - ### Constructor Detail

    - #### ValidResponseHandler(java.lang.Object model)

  - ### Method Detail

    - #### protected java.lang.Object invalidTokenInternal(groovy.lang.Closure callable)